## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-async-lru
Version:        2.0.5
Release:        %autorelease
Summary:        Simple lru_cache for asyncio
# SPDX
License:        MIT
URL:            https://github.com/aio-libs/async_lru
Source:         https://github.com/aio-libs/async-lru/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-timeout


%global _description %{expand:
This package is 100% port of Python built-in
function functools.lru_cache for asyncio.}


%description %_description

%package -n     python3-async-lru
Summary:        %{summary}

%description -n python3-async-lru %_description


%prep
%autosetup -p1 -n async-lru-%{version}
# Removing pytest CLI options. Most of them are related to coverage.
sed -i "/addopts/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files async_lru


%check
# Ignore DeprecationWarning untill
# https://github.com/aio-libs/async-lru/issues/635
# is resolved.
%pytest -W ignore::DeprecationWarning


%files -n python3-async-lru -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2.0.5-2
- Rebuilt for Python 3.14

* Mon Mar 17 2025 Lumir Balhar <lbalhar@redhat.com> - 2.0.5-1
- Update to 2.0.5 (rhbz#2352785)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Lumir Balhar <lbalhar@redhat.com> - 2.0.4-6
- Ignore DeprecationWarning in tests (rhbz#2336970)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.0.4-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jul 31 2023 Lumir Balhar <lbalhar@redhat.com> - 2.0.4-1
- Update to 2.0.4 (rhbz#2227096)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Lumir Balhar <lbalhar@redhat.com> - 2.0.3-1
- Update to 2.0.3 (rhbz#2221301), SPDX

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 2.0.1-2
- Rebuilt for Python 3.12

* Thu Feb 23 2023 Lumir Balhar <lbalhar@redhat.com> - 2.0.1-1
- Update to 2.0.1 (rhbz#2171288)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 05 2022 Lumír Balhar <lbalhar@redhat.com> - 1.0.3-1
- Initial package

## END: Generated by rpmautospec
